﻿/*TRIMCO-FORMULARE-EXT
    enthält Erweiterungen und Anpassungen zu Formular-bezogenen-Elementen

    ACHTUNG: Überschreibungen mit "!important;" kennzeichnen bzw fixieren
*/


/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. 

    TODO: "open" (Stand 2021-02-05)
*/


/*********************  ÜBERSCHREIBUNGEN  *******************************/




/*********************  NEW CLASSES  *******************************/
.readonly-fix {
    /*class wird als Bezug für HTML-Readonly-Setting benötigt*/
}

.div-background-readonly {
   background-color: #e9ecef;
}

/*.s-basisdaten-div-field-edit {*/
    /*class wird für Umschaltung von Edit/Read-Modus bei Schlüssel-Basisdaten-Feldern benötigt */
/*}

.s-basisdaten-div-field-onlydisplay {*/
    /*class wird für Umschaltung von Edit/Read-Modus bei Schlüssel-Basisdaten-Feldern benötigt */
/*}*/

.specialelement-div-field-edit {
    /*class wird für Umschaltung von Edit/Read-Modus bei bestimten Feldern benötigt >>
      Select- & spezielle Input-Felder (Radio, u.ä.) können a) teilweise nicht Readonly gesetzt werden und b) Disabled würde zu No-Data-Submit/No-Binding beim Post-Submit führen */
}
.specialelement-div-field-onlydisplay {
    /*class wird für Umschaltung von Edit/Read-Modus bei bestimten Feldern benötigt >>
      Select- & spezielle Input-Felder (Radio, u.ä.) können a) teilweise nicht Readonly gesetzt werden und b) Disabled würde zu No-Data-Submit/No-Binding beim Post-Submit führen */
}


/* Verwendung in/für >> siehe TagHelperExtensions:  https://stackoverflow.com/questions/40555543/how-do-i-implement-a-checkbox-list-in-asp-net-core/40558829 */
.th-chklstbx {
  border: 1px solid #ccc;
  padding: 10px 15px;
  -webkit-border-radius: 5px ;
  -moz-border-radius: 5px ;
  -ms-border-radius: 5px ;
  border-radius: 5px ; 
}
.th-chklstbx label {
    display: block;
    margin-bottom: 10px; 
}

.form-group-nav-fixanker {
    /*class (Zuordnung ehemals via ".form-group") wird als Bezug für Navbar-Bereich mit nicht-kaskadierten Einträgen benötigt >> Elemente davon werden bei kleinen Displays nicht mit im Sandwich-Button eingebunden, sondern bleiben erhalten*/
    /*margin-bottom: 1rem;*/
}

.nav-link-WF {
    /*class wird als Erweiterung für Navbar-Bereich mit kaskadierten Workflow-Einträgen benötigt, damit diese entspr. gestaltet werden können */

}

.disableClick{
    /*class wird verwendet, um Buttons (Cancel, Edit, Save, WF, usw.) temporär zu deaktivieren >> https://codewithhugo.com/disable-html-anchor/  UND  https://stackoverflow.com/a/42224919/15228929 
        
        //JS-Function
        var ToggleButtonsInactive = function () {
            var element = document.getElementById("btnCloseDirect");
            element.classList.toggle("disableClick");
        }


        //Aufruf zur Vermeidung von doppelten Funktionsausführungen
        ToggleButtonsInactive(); 

        //Alternativ ggf. auch via Overlay-DIV
        document.getElementById('overlay').style.display = 'flex'; @* Overlay-DIV als Warte-Bild (Ajax) [benötigt noch CSS + Overlay-DIV > beides in Layout] >>> https://stackoverflow.com/questions/44336004/show-a-wait-image-while-waiting-the-mvc-view-to-display *@
    */

    pointer-events: none;
    /*display: block;*/
    display: inline;
}

/* Setzen von Pflichtfeld-Kennzeichnungen - VARIANTE A (geht anscheinend nicht!) >>> https://wiki.selfhtml.org/wiki/HTML/Tutorials/Formulare/browsereigene_Validierung#Pflichtfelder_mit_required */
/*input:required + label::before {
  position: absolute;
  left: 300%;
  content: "★";
  color: red;
}
input:required:valid + label::before {
  content: "✔";
  color: green;
}*/


/* Setzen von Pflichtfeld-Kennzeichnungen - VARIANTE B >>> https://t3n.de/news/html5-pflichtfelder-360171/ 
    Achtung: Ohne Negation/Ausschluss von Readonly-Feldern, werden diese ggf. auch als Pflichtaber gekennzeichnet >> daher Ausschluss von 'readonly' (https://www.w3.org/TR/selectors-4/#negation) 
    Kennzeichnung mit Stern (vermutlich nur bei Label) >> https://stackoverflow.com/questions/49685336/add-to-the-label-of-input-fields-with-the-required-attribute-with-css
*/
/*input[data-val-required]:not([readonly]) + label::after { 
  border-color: red;
  content: "★";
}*/
.showrequired {  /*Darstellungs-PROBLEME gibts bei Sammlungen von vertikalen Checkbox- oder Radio-Feldern >> dann ohne height !!! */
  /*content: "★";  >> geht m.E. nur für Labels ??*/ 
  height: calc(1.5em + .75rem + 2px);
  padding: .375rem .75rem;
  border: 1px solid;
  border-color: red;
  border-radius: .25rem;
  transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
.showrequired-for-Checkbox {  /*separate Variante (quasi mit dynamischer Höhe) wegen sonstigen Darstellungs-PROBLEMEN bei Sammlungen von vertikalen Checkbox- oder Radio-Feldern */
  /*content: "★";  >> geht m.E. nur für Labels ??*/ 
  /*height: calc(1.5em + .75rem + 2px);*/
  padding: .375rem .75rem;
  border: 1px solid;
  border-color: red;
  border-radius: .25rem;
  transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

/* Verwendung insb. bei Modal-Fenstern (Auswahldialoge mit Mehrfachauswahl) */
.table-hover-custom tbody tr:hover {
    background-color: #CBE8F6 !important; /* Ihre Wunschfarbe */
    /*color: #000; /* Optional: Textfarbe anpassen */
}

/* Modaler scrollbarer DIV-Inhalt >>> https://stackoverflow.com/questions/7504918/how-to-create-a-div-with-vertical-scrollable-contents-and-fixed-footer-which-is  & https://www.w3schools.com/cssref/tryit.asp?filename=trycss_overflow  */
/* Verwendung u.a. in Abteilung-Edit beim Zuordnen von Kompetenzträger und Mitarbeitern & ggf. Löschen */
.scrollable-content-parentdiv {
  /*height: 85vh; >> geändert wegen Modaldialog bei Userauswahl (z.Bsp. 'ChangeErsteller') in AnfReport  */
  height: 70vh;
}
.scrollable-content {
  height: 100%;
  overflow: auto;
}

/* Hintergrund & andere Elemente für 'Modal-Dialog für Ausführungsbenutzer-Login & Aktionsbestätigung' */
.modal-warning .modal-content {
    background-color: #fff3cd; /* helles Orange / Gelb */
    border: 3px solid #dc3545; /* rot */
    border-radius: 8px;

}

/* Header */
.modal-warning .modal-header {
    background-color: #fd7e14; /* kräftiges Orange */
    color: white;
    border-bottom: 2px solid #dc3545;
}

/* Body */
.modal-warning .modal-body {
    background-color: #fff7e6;
}

/* Body-Anmeldedaten */
.modal-warning .modal-body-login {
    /* background-color: #fff7e6;*/
    padding-top: 3px;
    padding-bottom: 10px
}

/* Footer */
.modal-warning .modal-footer {
    background-color: #fff7e6;
    border-top: 2px solid #dc3545;
}

/* Titel */
.modal-warning .modal-title {
    font-weight: bold;
}

/* Optional: Buttons etwas kontrastreicher */
.modal-warning .btn-primary {
    background-color: #dc3545;
    border-color: #dc3545;
}


/* Filter-DIV im modalen Dialog [bei User-Selects verwendet] */
.modal-filter {
    position: relative;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1rem 1rem 0rem 1rem;
}

/* Anzeige Lizenzinfos im Fehler-Fall [kommt zu den anderen Class-Styles dazu */
.lizenzError-sectionhead {
    background-color: red;
    color: white;
    margin-bottom: 0px !important;
}

.lizenzError-sectionlabelgroup {
    color: red
}

/* für FancyTree-Darstellung der Schlüssel-Daten im Rezertifizierungsformular */
.fancytree-folder {
    /*background-color: #EFFAFA;*/
    /*color: red!important;*/
    font-weight: bold!important;
}
/*span.fancytree-node.fancytree-folder {*/
    /*background-color: #EFFAFA;*/
    /*color: red!important;*/
    /*font-weight: bold!important;
}*/
.fancytree-ico-c > td  /* hier handelt es sich nicht um die Folder-Entries, sondern die Sub-Entries */
{
    /*background-color: #EFFAFA;*/
    /*color: red!important;
    font-style: italic;*/
    font-size:small !important;
    padding-top: .25rem !important;
    padding-bottom: .25rem !important;
}


/*class wird verwendet, um Buttons (Reset) anzuzeigen oder auszublenden >> insb. bei "Auswertung > Edit"*/
.btnDoReset {
    float: right;
}

/* Wird für Menüeintrag des Workflow-Manager-Eingriffs verwendet */
.dropdown-item-danger {
    color: red;
}


/* TEMPORÄRER EDIT-BEREICH (für Copy & Paste) ******************



    Logo:  #E97C0E

****************************************************************
*/
